Summary:   AppStream metadata
Name:      appstream-data
Version:   36
Release:   3%{?dist}
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       https://github.com/hughsie/appstream-glib
Source1:   https://dl.fedoraproject.org/pub/alt/screenshots/f%{version}/fedora-%{version}.xml.gz
Source3:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/adobe-flash.xml
Source4:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/google-chrome.xml
Source5:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/gstreamer-non-free.xml
Source6:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/other-repos.xml
Source7:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/fedora-categories.xml
Source8:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/fedora-popular.xml

BuildArch: noarch
BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers. The appstream data is built weekly with
/usr/bin/appstream-builder, combining the data from RPM packages in official
repositories and the extra data in appstream.

%install

DESTDIR=%{buildroot} appstream-util install-origin fedora %{SOURCE1}
DESTDIR=%{buildroot} appstream-util install \
	%{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8}

%check
if ! gunzip -c %{buildroot}%{_datadir}/app-info/xmls/fedora.xml.gz | grep -q '<pkgname>gstreamer1-plugin-openh264</pkgname>' ; then
    echo "missing gstreamer1-plugin-openh264"
    exit 1
fi

%files
%attr(0644,root,root) %{_datadir}/app-info/xmls/*
%dir %{_datadir}/app-info/xmls

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 36-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 36-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Zhao Zhen <jeremiazhao@tencent.com> 36-1
- initial
